Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
JavaScript Ruby
tree: 300d77a7a4

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
app
config
db
diseno
doc
lib/tasks
public
script
spec
test
.gitignore
.loadpath
.project
.watchr
Gemfile
Gemfile.lock
README
Rakefile

README

Setup en desarrollo
===================

Instalar PostgreSQL. En Mac Bajar la versión 9.0 desde
http://www.enterprisedb.com/products-services-training/pgdownload#osx, instalar, y luego ejecutar:

Luego:

$ gem install bundler
$ bundle install

Si bundle install falla en Mac, ejecutar lo siguiente:

$ export PATH=$PATH:/Library/PostgreSQL/9.0/bin/

E intentar ejecutar "bundle install" nuevamente

Luego:

$ cp config/database.yml.example config/database.yml
$ cp spec/support/google_credentials.rb.example spec/support/google_credentials.rb


Editar config/database.yml y spec/support/google_credentials.rb

$ rake db:create
$ rake db:migrate
$ script/server

Deploy
======

Configuracion de git para que apunte a los repositorios en heroku:

$ git remote add heroku git@heroku.com:trilla.git
$ git remote add staging git@heroku.com:trilla-staging.git

Luego para deployar en staging:

$ git push staging master
$ heroku rake db:migrate --app trilla-staging

Para deployar en produccion:

$ git push heroku master
$ heroku rake db:migrate --app trilla

Problemas
=========

Al ejecutar "bundle install" no puede instalar 'nokogiri', esto se soluciona ejecutando:

* En Debian/Ubuntu:
sudo apt-get install libxslt-dev libxml2-dev

* En Fedora/openSUSE:
sudo yum install libxslt-devel libxml2-devel

Para errores al instalar 'pg', ejecutar:

* En Debian/Ubuntu:
sudo apt-get install libpq5 libpq-dev

* En Fedora/openSUSE:
sudo yum install postgresql-devel
Something went wrong with that request. Please try again.